# $Id$
# Authority: lsn
# Upstream: 

%define myname   LandShark BuildSys
%define myemail  <BuildSys[AT]LandShark.Net>
%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

Name: imc
Version: 1.2.50
Release: 1.el4.lsn
Summary: IDEALX Management Console
License: Artistic + GPL (same as Perl)
Vendor: IDEALX
Group: Application/System
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

BuildRequires: glibc-devel, make, patch, zlib-devel, gcc, perl >= 5.8.0, openssl-devel >= 0.9.7, expat-devel, libxslt-devel

Prefix: /opt/IDEALX
Requires: perl >= 5.8.0, openssl >= 0.9.7, expat, libxslt, perl-libwww-perl
Provides: %{name} %{name}(Core) %{name}(WebApp) %{name}(Struts4P)
AutoReq: 0
BuildArch: i386
URL: http://www.idealx.com/
Packager: %{myname} %{myemail}

%description

IDEALX Management Console is a new management platform for the Open Source Infrastructure.

This package provides the core framework required to run dedicated console modules.

%prep

%setup -q
chmod +x ./build-lib.pl
make

%install

[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT INIT=etc/imc.init install

%post
[ -e /etc/init.d/imc ] && rm -f /etc/init.d/imc
%if %_vendor == "suse"
ln -s %{prefix}/imc/etc/imc.init.suse /etc/init.d/imc
%else # redhat
ln -s %{prefix}/imc/etc/imc.init /etc/init.d/imc
/sbin/chkconfig --add imc
%endif

%postun
if [ $1 = 0 ]; then
    [ -e /etc/init.d/imc ] && rm -f /etc/init.d/imc
    [ -f /var/lock/subsys/imc ] && /sbin/service imc stop > /dev/null 2>&1
    /sbin/chkconfig --del imc
fi

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%attr(700, root, root) %{prefix}/imc/bin
%{prefix}/imc/etc
%attr(755, root, root) %{prefix}/imc/etc/imc.init
%{prefix}/imc/certs
%{prefix}/imc/lib
%{prefix}/imc/libexec
%{prefix}/imc/plugins/Core
%{prefix}/imc/plugins/DeveloperSupport
%{prefix}/imc/plugins/Struts4P
%{prefix}/imc/plugins/WebFaces


%package common
Group: Application/System
Summary: IMC common plugins
Requires: %{name} = %{version}, SysVinit
Provides: %{name}(common), %{name}(ServiceManager2), %{name}(Webmin), %{name}(AuthLDAP)
AutoReq: 0

%description common
IMC common plugins

%files common
%defattr(-, root, root)
%{prefix}/imc/plugins/ServiceManager2
%{prefix}/imc/plugins/Webmin
%{prefix}/imc/plugins/AuthLDAP

%changelog
* %{date} %myname %myemail - %version-%release
- Initial RHEL4 package.
* Wed Jan 26 2005 David Barth <dbarth@idealx.com>
- changed versioning scheme, now RPM releases are at 1 by default
* Thu Dec  2 2004 David Barth <dbarth@idealx.com>
- automagic version and relase number synchronized with Arch/TLA
* Sun Nov 28 2004 David Barth <dbarth@idealx.com>
- packaging improvements, with help from Farkas Levente <lfarkas@bppiac.hu>
* Mon Jun  7 2004 arnaud desmons <adesmons@sissi.idealx.com> 2.0-1
- original version
